Fehler beim Installieren von eigenen OPSI-Paketen via Package Builder

Moderator: pandel

Antworten
ulf.wiemken
Beiträge: 5
Registriert: 30 Okt 2019, 15:21

Fehler beim Installieren von eigenen OPSI-Paketen via Package Builder

Beitrag von ulf.wiemken »

Hallo,

ich bekomme beim Installieren von OPSI-Paketen mit dem PackageBuilder folgende Fehlermeldung:

--------------------ACTION: INSTALL--------------------
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - )0
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - opsi-package-manager
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - Öffne Paket-Datei krlos_notepadpp_8.1.6-1.opsi
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - Host-Name | Installiere Paket krlos_notepadpp_Fehler: HTTPSConnectionPool(host='0/1 laufende Task-Warteschlangen
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH -
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - Ein Fehler ist aufgetreten:
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - Fehler beim Bearbeiten von Install of package(s) /var/lib/opsi/workbench/krlos_notepadpp/krlos_notepadpp_8.1.6-1.opsi on depot 'Host-Name':
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - HTTPSConnectionPool(host='Host-Name', port=4447): Max retries exceeded with url: /rpc (Caused by ProxyError('Cannot connect to proxy.', OSError('Tunnel connection failed: 403 Forbidden')))
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH -
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH - ERROR: Failed to process command 'install': 1 errors during the processing of tasks.
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - SSH -
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - ERROR - HTTPSConnectionPool(host=Host-Name', port=4447): Max retries exceeded with url: /rpc (Caused by ProxyError('Cannot connect to proxy.', OSError('Tunnel connection failed: 403 Forbidden')))
[2021-10-14 10:17:30 AM] - oPB.core.processing.OpsiProcessing - ERROR - ERROR: Failed to process command 'install': 1 errors during the processing of tasks.


Die gleiche Fehlermeldung bekomme ich, wenn ich die Installation lokal auf dem Server versuche.

Unter /etc/opsi/opsi-package-updater.conf habe ich schon testweise die Variable "proxy = system" gesetzt oder den Proxy-Eintrag leer gelassen.

Die Fehlermeldung bleibt die gleiche, was kann ich noch versuchen?

Gruß,

Ulf Wiemken
Medard
Beiträge: 19
Registriert: 22 Jan 2020, 08:42

Re: Fehler beim Installieren von eigenen OPSI-Paketen via Package Builder

Beitrag von Medard »

Hi,
was passiert wenn du unter ->Werkzeuge->Paketrechte setzen ausführst danach mit der Installation?
Grüsse,
Robert
ulf.wiemken
Beiträge: 5
Registriert: 30 Okt 2019, 15:21

Re: Fehler beim Installieren von eigenen OPSI-Paketen via Package Builder

Beitrag von ulf.wiemken »

Hi,

die Rechte werden erfolgreich gesetzt, aber die Installation schlägt mich gleicher Fehlermeldung weiterhin fehl.

Gruß,

Ulf
ulf.wiemken
Beiträge: 5
Registriert: 30 Okt 2019, 15:21

Re: Fehler beim Installieren von eigenen OPSI-Paketen via Package Builder

Beitrag von ulf.wiemken »

So, ich habe das Problem gelöst.

In die Datei /etc/environment musste noch der Eintrag no_proxy="Host_Name" rein, sonst versucht er während der Installation den Hostname über den Proxy aufzulösen.

Hat sonst auch immer ohne den Eintrag funktioniert :roll: .

Danke an Robert!

Gruß,

Ulf
Antworten